.\"	$NetBSD: hier.7,v 1.89 2009/12/05 16:29:11 pooka Exp $
.\"
.\" Copyright (c) 1990, 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)hier.7	8.5 (Berkeley) 6/1/94
.\"
.Dd December 5, 2009
.Dt HIER 7
.Os
.Sh NAME
.Nm hier
.Nd layout of filesystems
.Sh DESCRIPTION
An outline of the filesystem hierarchy.
.Pp
Naming is very important.
The
.Ux
System relies on filename conventions for much of its power as a system.
The following file system layout describes generally where things are
and what they are, with references to other man pages for more detailed
documentation.
.Pp
Not all files will be in every system.
.Pp
.Bl -tag -width "/altroot/"
.It Sy \&/
root directory of the system
.It Sy /COPYRIGHT
system copyright notice, most often put on
.Tn CD-ROM
distributions.
.It Sy "/[a-z]/"
user filesystems
.It Sy /altroot/
alternate root filesystem, in case of disaster
.\" .It Sy /amd/
.\" home directories mount point; see
.\" .Xr amd 8
.It Sy /bin/
utilities used in both single and multi-user environments
.It Sy /boot*
second-stage boot loader(s) for some platforms; see
.Xr installboot 8
.It Sy /cdrom/
empty directory commonly used by
system administrators as a temporary mount point for CD devices
for ISO-9660 file systems
.It Sy /dev/
block, character and other special device files
.Pp
.Bl -tag -width "MAKEDEV" -compact
.It Sy MAKEDEV
script for creating device files;
see
.Xr makedev 8
.It Sy console
the computer's console device
.It Sy drum
system swap space; see
.Xr drum 4
.It Sy fd/
file descriptor files;
see
.Xr fd 4
.It Sy klog
kernel logging device; see
.Xr syslog 3
.It Sy kmem
kernel virtual memory device; see
.Xr mem 4
.It Sy log
.Ux
domain datagram log socket; see
.Xr syslogd 8
.It Sy mem
kernel physical memory device; see
.Xr mem 4
.It Sy null
the null device; see
.Xr null 4
.It Sy pts/
mount point for the pseudo-terminal device file system; see
.Xr mount_ptyfs 8
.It Sy stderr
.It Sy stdin
.It Sy stdout
file descriptor files;
see
.Xr fd 4
.It Sy tty
process' controlling terminal device; see
.Xr tty 4
.It Sy zero
the zero device; see
.Xr zero 4
.El
.\" .It Sy /dump/
.\" online
.\" .Xr dump 8
.\" repository
.It Sy /etc/
system configuration files and scripts
.Pp
.Bl -tag -width "master.passwd" -compact
.It Sy amd*
configuration files for
.Xr amd 8
.It Sy changelist
files backed up by the security script
.It Sy crontab
schedule used by the
.Xr cron 8
daemon
.It Sy csh.cshrc
.It Sy csh.login
.It Sy csh.logout
system-wide scripts for
.Xr csh 1
.It Sy daily
script run each day by
.Xr cron 8
.It Sy daily.conf
configuration file for
.Sy daily ;
see
.Xr daily.conf 5
.It Sy defaults/
default configuration files read by various
.Pa /etc/*.conf
files
.It Sy disktab
disk description file, see
.Xr disktab 5
.It Sy dm.conf
dungeon master configuration; see
.Xr dm.conf 5
.It Sy dumpdates
dump history; see
.Xr dump 8
.It Sy exports
filesystem export information; see
.Xr mountd 8
.It Sy fstab
filesystem information; see
.Xr fstab 5
and
.Xr mount 8
.It Sy ftpusers
users denied
.Xr ftp 1
access; see
.Xr ftpd 8
.It Sy ftpwelcome
.Xr ftp 1
initial message; see
.Xr ftpd 8
.It Sy gettytab
terminal configuration database; see
.Xr gettytab 5
.It Sy group
group permissions file; see
.Xr group 5
.It Sy hosts
host name database backup for
.Xr named 8 ;
see
.Xr hosts 5
.It Sy hosts.equiv
trusted machines with equivalent user ID's
.It Sy hosts.lpd
trusted machines with printing privileges
.It Sy inetd.conf
Internet server configuration file; see
.Xr inetd 8
.It Sy kerberosV/
configuration files for the kerberos version V;
see
.Xr kerberos 8
.It Sy localtime
local timezone information;
see
.Xr ctime 3
.It Sy mail/
configuration files for
.Xr sendmail 8
.Pp
.Bl -tag -width "sendmail.*" -compact
.It Sy aliases*
name alias files
.It Sy sendmail.*
.Xr sendmail 8
configuration information
.El
.It Sy mail.rc
system-wide initialization script for
.Xr mail 1
.It Sy man.conf
configuration file for
.Xr man 1 ;
see
.Xr man.conf 5
.It Sy master.passwd
Main password file, readable only by root; see
.Xr passwd 5
.It Sy mk.conf
optional file containing
.Xr make 1
variables, read by pkgsrc and the system sources.
.It Sy monthly
script run each month by
.Xr cron 8
.It Sy monthly.conf
configuration file for
.Sy monthly ;
see
.Xr monthly.conf 5
.It Sy motd
system message of the day
.It Sy mtree/
mtree configuration files;
see
.Xr mtree 8
.It Sy named.*
.It Sy namedb/
named configuration files and databases;
see
.Xr named 8
.It Sy netgroup
network groups; see
.Xr netgroup 5
.It Sy netstart
network startup script
.It Sy networks
network name data base; see
.Xr networks 5
.It Sy passwd
World readable password file generated from master.passwd; see
.Xr passwd 5 ,
.Xr pwd_mkdb 8
.It Sy phones
remote host phone number data base; see
.Xr phones 5
.It Sy printcap
system printer configuration; see
.Xr printcap 5
.It Sy protocols
protocol name database; see
.Xr protocols 5
.It Sy pwd.db
database form of passwd file; see
.Xr pwd_mkdb 8
.It Sy rc
master system startup script invoked by
.Xr init 8 ;
see
.Xr rc 8
.It Sy rc.conf
configuration file for system startup and shutdown scripts; see
.Xr rc.conf 5
.It Sy rc.d/
directory containing per-subsystem startup and shutdown scripts; see
.Xr rc 8
.It Sy rc.local
locally editable system startup script
.It Sy rc.shutdown
master system shutdown script invoked by
.Xr shutdown 8 ;
see
.Xr rc 8
.It Sy remote
remote host description file; see
.Xr remote 5
.It Sy security
daily (in)security script run by
.Xr cron 8
.It Sy security.conf
configuration file for
.Sy security ;
see
.Xr security.conf 5
.It Sy services
service name data base; see
.Xr services 5
.It Sy shells
list of permitted shells; see
.Xr shells 5
.It Sy sliphome/
.Tn SLIP
login/logout scripts; see
.Xr sliplogin 8
.It Sy spwd.db
database form of master.passwd file; see
.Xr pwd_mkdb 8
.It Sy syslog.conf
.Xr syslogd 8
configuration file; see
.Xr syslog.conf 5
.It Sy termcap
terminal type database; see
.Xr termcap 3
.It Sy ttys
terminal initialization information; see
.Xr ttys 5
.It Sy uucp/
UUCP configuration files; see
.Xr uucp 1
and
.Xr uucico 8 .
.It Sy weekly
script run each week by
.Xr cron 8
.It Sy weekly.conf
configuration file for
.Sy weekly ;
see
.Xr weekly.conf 5
.El
.It Sy /home/
mount point for the automounter; see
.Xr amd 8
.It Sy /kern/
mount point for the kern file system; see
.Xr mount_kernfs 8
.It Sy /lib/
dynamic linked libraries used by dynamic linked programs
(such as those in
.Pa /bin/
and
.Pa /sbin/ )
that cannot rely upon
.Pa /usr/lib/
being available.
.It Sy /libexec/
system utilities (such as the dynamic linker) required by programs
and libraries that cannot rely upon
.Pa /usr/libexec/
being available.
.It Sy /mnt/
empty directory commonly used by
system administrators as a temporary mount point
.It Sy /netbsd
pure kernel executable (the operating system loaded into memory
at boot time).
.It Sy /proc/
mount point for the process file system; see
.Xr mount_procfs 8
.It Sy /rescue/
statically linked rescue tools, for use in system recovery
.It Sy /root/
home directory for the super-user
.Pp
.Bl -tag -width ".profile" -compact
.It Sy \&.cshrc
super-user start-up file
.It Sy \&.login
super-user start-up file
.It Sy \&.profile
super-user start-up file
.It Sy \&.rhosts
super-user id mapping between machines
.El
.It Sy /sbin/
system programs and administration utilities
used in both single-user and multi-user environments
.It Sy /stand/
programs used in a standalone environment
.It Sy /tmp/
temporary files, usually a
.Xr mfs 8
memory-based filesystem (the contents of
.Pa /tmp
are usually
.Em not
preserved across a system reboot)
.It Sy /usr/
contains the majority of the system utilities and files
.Pp
.Bl -tag -width "libdata/" -compact
.It Sy X11R6/
X11 files
.It Sy X11R7/
X11 files
.Pp
.Bl -tag -width "include/" -compact
.It Sy bin/
X11 binaries
.It Sy include/
X11 include files
.It Sy lib/
X11 libraries
.El
.Pp
.It Sy bin/
common utilities, programming tools, and applications
.It Sy games/
the important stuff
.It Sy include/
standard C include files
.Pp
.Bl -tag -width "protocols/" -compact
.It Sy arpa/
include files for Internet service protocols
.It Sy atf/
include files for the Automated Testing Framework; see
.Xr atf 1
.It Sy g++/
include files for the C++ compiler
.It Sy machine/
machine specific include files
.It Sy net/
.It Sy netatalk/
C include files for AppleTalk protocols
miscellaneous network include files;
see
.Xr atalk 4
.It Sy netinet/
include files for Internet standard protocols; see
.Xr inet 4
.It Sy netinet6/
include files for Internet protocol version 6; see
.Xr inet6 4
.It Sy netiso/
include files for ISO standard protocols; see
.Xr iso 4
.It Sy netkey/
include files for secret key management, used for security protocols; see
.Xr ipsec 4
.It Sy netnatm/
C include files for native mode ATM
.It Sy nfs/
C include files for NFS (Network File System)
.It Sy protocols/
C include files for Berkeley service protocols
.It Sy sys/
system C include files (kernel data structures)
.It Sy ufs/
C include files for UFS (The U-word File System)
.El
.Pp
.It Sy lib/
archive, profiled, position independent archive, and shared libraries
.It Sy libdata/
miscellaneous utility data files
.It Sy libexec/
system daemons \*[Am] system utilities (executed by other programs)
.Pp
.Bl -tag -width "uucp/" -compact
.It Sy uucp/
UUCP binaries and scripts (historically placed; to be moved)
.El
.Pp
.It Sy mdec/
boot blocks, etc.
.It Sy obj/
architecture-specific target tree produced by building the
.Pa /usr/src
tree; normally a symbolic link or mounted filesystem
.It Sy pkg/
packages maintained by groups other than the
.Nx
Project.
.Pp
.Bl -tag -width "include/" -compact
.It Sy bin/
contributed binaries
.It Sy include/
contributed include files
.It Sy lib/
contributed libraries
.It Sy libdata/
contributed data files
.It Sy libexec/
contributed daemons
.It Sy sbin/
contributed system utilities
.El
.Pp
.It Sy pkgsrc/
build descriptions ("packages") for the
.Nx
packages system.
.Pp
.Bl -tag -width "distfilesX" -compact
.It Sy distfiles/
Where unchanged source archives are fetched to/stored
.It Sy packages/
Where compiled binary packages are stored
.El
.Pp
There are also several other subdirectories which contain packages of
a certain category, e.g., archivers, graphics, ...
.Pp
.It Sy sbin/
system daemons and system utilities (normally executed by the super-user)
.It Sy share/
architecture-independent text files
.Pp
.Bl -tag -width "calendar/" -compact
.It Sy calendar/
a variety of calendar files; see
.Xr calendar 1
.It Sy dict/
word lists;
see
.Xr look 1
and
.Xr spell 1
.Pp
.Bl -tag -width "special/" -compact
.It Sy words
common words
.It Sy web2
words of Webster's 2nd International
.It Sy papers/
reference databases;
see
.Xr refer 1
.It Sy special/
custom word lists;
see
.Xr spell 1
.El
.Pp
.It Sy doc/
miscellaneous documentation; source for most of the printed
.Bx 4.3
manuals (available
from the
.Tn USENIX
association)
.It Sy games/
text files used by various games
.It Sy i18n/
internationalization databases; see
.Xr iconv 3
.It Sy locale/
locale databases and gettext message catalogs; see
.Xr setlocale 3
and
.Xr gettext 3
.It Sy man/
formatted manual pages
.It Sy me/
macros for use with the
.Xr me 7
macro package
.It Sy misc/
miscellaneous system-wide text files
.Pp
.Bl -tag -width "termcap" -compact
.It Sy termcap
terminal characteristics database;
see
.Xr termcap 5
.El
.Pp
.It Sy mk/
include files for
.Xr make 1
.It Sy ms/
macros for use with the
.Xr ms 7
macro package
.It Sy nls/
message catalogs; see
.Xr catgets 3
.It Sy skel/
sample initialization files for new user accounts
.It Sy tabset/
tab description files for a variety of terminals, used in
the termcap file;
see
.Xr termcap 5
.It Sy tmac/
text processing macros;
see
.Xr nroff 1
and
.Xr troff 1
.It Sy zoneinfo/
timezone configuration information;
see
.Xr tzfile 5
.El
.It Sy tests/
test programs; see
.Xr atf-run 1
for information on how to run them
.El
.Pp
.It Sy /usr/src/
.Nx
and local source files
.Pp
.Bl -tag -width "domestic/" -compact
.It Sy bin/
source for utilities/files in
.Pa /bin
.It Sy common/
sources shared between kernel and userland
.It Sy crypto/
cryptographic source, which may have import or export restrictions
.It Sy dist/
third-party
.Sq virgin
source code, referenced by other parts of the source tree
.It Sy distrib/
tools and data-files for making distributions
.It Sy doc/
documentation about the source tree (i.e., about the tree, not about
how to use the built software.)
.It Sy etc/
source (usually example files) for files in
.Pa /etc
.It Sy external/
source for programs from external third parties
(where
.Nx
is the not the primary maintainer),
grouped by license, and then products per license
.Pp
.Bl -tag -width "bsd/" -compact
.It Sy bsd/
BSD (or equivalent) licensed software,
possibly with the
.Dq advertising clause
.El
.Pp
.It Sy games/
source for utilities/files in
.Pa /usr/games
.It Sy gnu/
source for programs covered by the
.Tn GNU
license (or similar)
.It Sy include/
source for files in
.Pa /usr/include
.It Sy lib/
source for libraries in
.Pa /usr/lib
.It Sy libexec/
source for utilities/files in
.Pa /usr/libexec
.It Sy regress/
various regression tests
.It Sy rescue/
source/makefiles for /rescue
.It Sy sbin/
source for utilities/files in
.Pa /sbin
.It Sy share/
source for files in
.Pa /usr/share
.Pp
.Bl -tag -width "doc/" -compact
.It Sy doc/
.Pp
.Bl -tag -width "papers/" -compact
.It Sy papers/
source for various Berkeley technical papers
.It Sy psd/
source for Programmer's Supplementary Documents
.It Sy smm/
source for System Manager's Manual
.It Sy usd/
source for User's Supplementary Documents
.Pp
.El
.El
.It Sy sys/
kernel source files
.Pp
.Bl -tag -width "gdbscripts/" -compact
.It Sy arch/
architecture-specific support
.Pp
.Bl -tag -width "ews4800mips/" -compact
.It Sy acorn26/
Acorn Archimedes, A-series and R-series systems
.It Sy acorn32/
Acorn RiscPC/A7000 and VLSI RC7500
.It Sy algor/
Algorithmics Ltd. MIPS evaluations boards
.It Sy alpha/
Digital/Compaq Alpha
.It Sy amd64/
Computers with x86_64 capable CPUs
.It Sy amiga/
Commodore Amiga and MacroSystem DraCo
.It Sy amigappc/
PowerPC based Amiga boards
.It Sy arc/
MIPS-based machines following the Advanced RISC Computing spec
.It Sy arm/
ARM processor general support
.It Sy atari/
Atari TT030, Falcon and Hades
.It Sy bebox/
Be Inc. BeBox
.It Sy cats/
Chalice Technology's CATS and Intel's EBSA-285 evaluation boards
.It Sy cesfic/
CES FIC8234 VME processor board
.It Sy cobalt/
Cobalt Networks' MIPS-based Microserver
.It Sy dreamcast/
Sega Dreamcast game console
.It Sy evbarm/
ARM based evaluation boards
.It Sy evbmips/
MIPS based evaluation boards
.It Sy evbppc/
PowerPC based evaluation boards and appliances
.It Sy evbsh3/
SH3/SH4 based evaluation boards
.It Sy ews4800mips/
NEC's MIPS based EWS4800 workstations
.It Sy hp300/
Hewlett-Packard 9000/300 and 400 680x0-based workstations
.It Sy hp700/
Hewlett-Packard 9000/700 HPPA based workstations
.It Sy hpcarm/
StrongARM based WinCE PDA machines
.It Sy hpcmips/
MIPS based WinCE PDA machines
.It Sy hpcsh/
Hitachi SH3/4 based WinCE PDA machines
.It Sy hppa/
HPPA processor general support
.It Sy i386/
80x86-based IBM PCs and clones
.It Sy ibmnws/
IBM Network Station 1000
.It Sy iyonix/
Castle Technology's Iyonix ARM based PCs
.It Sy luna68k/
Omron Tateishi Electric's 680x0-based LUNA workstations
.It Sy m68k/
680x0 processor general support
.It Sy mac68k/
Apple Macintosh with 68k CPU
.It Sy macppc/
Apple Power Macintosh and clones
.It Sy mips/
MIPS processor general support
.It Sy mipsco/
MIPS Computer Systems Inc. family of workstations and servers
.It Sy mmeye/
Brains Inc. SH3 based mmEye multimedia server
.It Sy mvme68k/
Motorola MVME 680x0-based SBCs
.It Sy mvmeppc/
Motorola PowerPC VME SBCs
.It Sy netwinder/
StrongARM based NetWinder machines
.It Sy news68k/
Sony's 680x0-based NEWS workstations
.It Sy newsmips/
Sony's MIPS-based NEWS workstations
.It Sy next68k/
NeXT 68k "black" hardware
.It Sy ofppc/
Open Firmware PowerPC workstations
.It Sy pmax/
Digital MIPS-based DECstations and DECsystems
.It Sy powerpc/
PowerPC processor support
.It Sy prep/
PReP (PowerPC Reference Platform) and CHRP machines
.It Sy sandpoint/
Motorola Sandpoint reference platform
.It Sy sbmips/
Broadcom/SiByte evaluation boards
.It Sy sgimips/
Silicon Graphics' MIPS-based workstations
.It Sy sh3/
SH3/SH4 processor general support
.It Sy shark/
Digital DNARD ("Shark")
.It Sy sparc/
Sun Microsystems SPARC (32-bit) and UltraSPARC (in 32-bit mode)
.It Sy sparc64/
Sun Microsystems UltraSPARC (in native 64-bit mode)
.It Sy sun2/
Sun Microsystems 68010-based Sun 2 architecture
.It Sy sun3/
Sun Microsystems 68020/68030-based Sun 3/3x architecture
.It Sy sun68k/
680x0-based Sun architecture general support
.It Sy vax/
Digital VAX
.It Sy x68k/
Sharp X680x0 680x0-based workstations
.It Sy x86/
General support for PC/AT compatibles with ia32 or x86_64 CPUs
.It Sy xen/
The Xen virtual machine monitor
.It Sy zaurus/
Sharp C3x00 Arm based PDA
.El
.Pp
.It Sy compat/
kernel compatibility modules directory
.Pp
.Bl -tag -width "ossaudio/" -compact
.It Sy common/
common compatibility routines, old
.Bx 4
and
.Nx
routines.
.It Sy freebsd/
support for
.Fx
binaries; see
.Xr compat_freebsd 8
.It Sy hpux/
support for 68000 HP-UX binaries
.It Sy ibcs2/
support for Intel Binary binaries
.It Sy linux/
support for Linux binaries; see
.Xr compat_linux 8
.It Sy m68k4k/
support for 4KB page 68000 binaries
.It Sy netbsd32/
support for
.Nx
32-bit binaries on 64 bit platforms with compatible CPU families
.It Sy osf1/
support for
.Tn Digital
.Ux
.Po
formerly
.Tn OSF/1
.Pc
binaries
.It Sy ossaudio/
support for OSS audio
.It Sy pecoff/
support for
.Tn Win32
binaries; see
.Xr compat_pecoff 8
.It Sy sunos/
support for
.Tn SunOS 4.x
binaries; see
.Xr compat_sunos 8
.It Sy svr4/
support for System V Release 4 binaries; see
.Xr compat_svr4 8
.It Sy ultrix/
support for
.Tn ULTRIX
binaries
.It Sy vax1k/
support for older VAX binaries that started on a 1 KB boundary
.El
.Pp
.It Sy conf/
architecture independent configuration directory
.It Sy crypto/
cryptographic kernel source, which may have import or export restrictions
.It Sy ddb/
in kernel debugger
.It Sy dev/
architecture independent device support
.It Sy fs/
miscellaneous file systems
.Bl -tag -width "filecorefs/" -compact
.It Sy adosfs/
AmigaDOS file-system support; see
.Xr mount_ados 8
.It Sy cd9660/
support for the ISO-9660 filesystem; see
.Xr mount_cd9660 8
.It Sy filecorefs/
support for the Acorn RISC OS filecore filesystem; see
.Xr mount_filecore 8
.It Sy msdosfs/
.Tn MS-DOS
file system; see
.Xr mount_msdos 8
.It Sy ntfs/
NTFS filesystem support; see
.Xr mount_ntfs 8
.It Sy ptyfs/
pseudo-terminal device filesystem; see
.Xr mount_ptyfs 8
.It Sy smbfs/
SMB/CIFS filesystem support; see
.Xr mount_smbfs 8
.It Sy union/
union file system; see
.Xr mount_union 8
.El
.It Sy gdbscripts/
support for accessing kernel structures from within the debugger
.Xr gdb 1 .
.It Sy ipkdb/
support for kernel debugging over the network
.Pp
.It Sy kern/
support for the high kernel (system calls)
.It Sy lib/
kernel libraries
.Pp
.Bl -tag -width "libkern/" -compact
.It Sy libkern/
C library routines used in the kernel
.It Sy libsa/
machine independent stand alone kernel library
.It Sy libz/
compression library
.El
.Pp
.It Sy miscfs/
miscellaneous file systems
.Pp
.Bl -tag -width "deadfs/" -compact
.It Sy deadfs/
kernel only dead file system
.It Sy fdesc/
file descriptor file system; see
.Xr mount_fdesc 8
.It Sy fifofs/
POSIX FIFO support
.It Sy genfs/
kernel only generic file system
.It Sy kernfs/
kernel namespace file system; see
.Xr mount_kernfs 8
.It Sy nullfs/
loop back file system; see
.Xr mount_null 8
.It Sy overlay/
overlay file system; see
.Xr mount_overlay 8
.It Sy procfs/
process file system; see
.Xr mount_procfs 8
.It Sy specfs/
kernel only special file system
.It Sy syncfs/
kernel trickle sync algorithm
.It Sy umapfs/
user and group re-mapping file system; see
.Xr mount_umap 8
.El
.Pp
.It Sy net/
miscellaneous networking support
.It Sy netatalk/
AppleTalk networking support
.It Sy netinet/
IP networking support
.It Sy netinet6/
IPv6 networking support
.It Sy netiso/
ISO networking support
.It Sy netkey/
Key database for IPsec networking support
.It Sy netnatm/
ATM networking support
.It Sy nfs/
NFS support
.It Sy stand/
kernel standalone support
.It Sy sys/
kernel (and system) include files
.It Sy ufs/
local filesystem support
.Pp
.Bl -tag -width "ffs/" -compact
.It Sy ffs/
the Berkeley Fast File System
.It Sy lfs/
the log-structured file system
.It Sy mfs/
the in-memory file system
.It Sy ufs/
shared
.Ux
file system support
.El
.It Sy uvm/
UVM virtual memory system
.El
.It Sy tests/
source for test programs in
.Pa /usr/tests
.It Sy usr.bin/
source for utilities/files in
.Pa /usr/bin
.It Sy usr.sbin/
source for utilities/files in
.Pa /usr/sbin
.El
.It Sy /var/
multi-purpose log, temporary, transient, and spool files
.Pp
.Bl -tag -width "preserve/" -compact
.It Sy account/
system accounting files
.Pp
.Bl -tag -width "acct" -compact
.It Sy acct
execution accounting file;
see
.Xr acct 5
.El
.Pp
.It Sy at/
timed command scheduling files;
see
.Xr at 1
.It Sy backups/
miscellaneous backup files, largely of files found in
.Pa /etc
.It Sy chroot/
home directories of applications which are run in a
.Xr chroot 8
.Dq cage .
.It Sy crash/
system crash dumps; see
.Xr savecore 8
.It Sy cron/
scheduled commands configuration files; see
.Xr cron 8
.It Sy db/
miscellaneous automatically generated system-specific database files,
and persistent files used in the maintenance of third party software.
.Pp
.Bl -tag -width "monthly.out" -compact
.It Sy pkg
default location for metadata related to third party software
packages.
See
.Xr pkg_add 1
for more details of the
.Nx
Packages Collection, or pkgsrc.
.El
.Pp
.It Sy games/
miscellaneous game status and log files
.It Sy heimdal/
Kerberos 5 KDC database; see
.Xr kdc 8
.It Sy log/
miscellaneous system log files
.Pp
.Bl -tag -width "monthly.out" -compact
.It Sy amd.*
.Xr amd 8
logs
.It Sy daily.out
output of the last run of the
.Pa /etc/daily
script
.It Sy ftp.*
.Xr ftp 1
logs
.It Sy kerberos.*
.Xr kerberos 8
logs
.It Sy lastlog
system last time logged in log; see
.Xr utmp 5
.It Sy lpd-errs.*
printer daemon error logs; see
.Xr lpd 8
.It Sy maillog.*
.Xr sendmail 8
log files
.It Sy messages.*
general system information log
.It Sy monthly.out
output of the last run of the
.Pa /etc/monthly
script
.It Sy secure
sensitive security information log
.It Sy sendmail.st
.Xr sendmail 8
statistics
.It Sy timed.*
.Xr timed 8
logs
.It Sy weekly.out
output of the last run of the
.Pa /etc/weekly
script
.It Sy wtmp
login/logout log;
see
.Xr utmp 5
.El
.Pp
.It Sy mail/
user system mailboxes
.It Sy msgs/
system messages; see
.Xr msgs 1
.\" since we use nvi (now called vi) this isn't the place any more, is it?
.It Sy preserve/
temporary home of files preserved after an accidental death of
.Xr ex 1
or
.Xr vi 1
.It Sy quotas/
filesystem quota information
.It Sy run/
system information files, rebuilt after each reboot
.Pp
.Bl -tag -width "utmp" -compact
.It Sy utmp
database of current users; see
.Xr utmp 5
.El
.Pp
.It Sy rwho/
rwho data files; see
.Xr rwhod 8 ,
.Xr rwho 1 ,
and
.Xr ruptime 1
.It Sy spool/
miscellaneous printer and mail system spooling directories
.Pp
.Bl -tag -width "uucppublic/" -compact
.It Sy ftp/
commonly
.Dq ~ftp ,
the anonymous ftp root directory; see
.Xr ftpd 8
.It Sy mqueue/
sendmail mail queue;
see
.Xr sendmail 8
.It Sy news/
Network news archival and spooling directories
.It Sy output/
printer spooling directories
.It Sy postfix/
postfix mail queue;
see
.Xr postfix 1
.It Sy uucp/
uucp spool directory
.It Sy uucppublic/
commonly
.Dq ~uucp ,
the uucp public temporary directory; see
.Xr uucp 1
.El
.Pp
.It Sy tmp/
temporary files that are not discarded between system reboots
.Pp
.Bl -tag -width "vi.recover/" -compact
.It Sy vi.recover/
recovery directory for new
.Xr vi 1
.El
.Pp
.It Sy yp/
Databases and configuration for the NIS (YP) system; see
.Xr nis 8 .
.El
.El
.Sh SEE ALSO
.Xr apropos 1 ,
.Xr ls 1 ,
.Xr whatis 1 ,
.Xr whereis 1 ,
.Xr which 1
.Sh HISTORY
A
.Nm
manual page appeared in
.At v7 .
